package com.ruoyi.sy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 答题卡对象 sy_test_answers
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public class SyTestAnswers extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 答题id */
    private Long answerId;

    /** 应试学生id */
    @Excel(name = "应试学生id")
    private Long examineeId;

    /** 试卷使用类型 */
    @Excel(name = "试卷使用类型")
    private String examineeType;

    /** 试题id */
    @Excel(name = "试题id")
    private Long questionId;

    /** 题号 */
    @Excel(name = "题号")
    private Long seq;

    /** 学生答案 */
    @Excel(name = "学生答案")
    private String answer;

    /** 批改答案 */
    @Excel(name = "批改答案")
    private String correct;

    /** 最长时间 */
    @Excel(name = "最长时间")
    private Long duration;

    /** 更新次数 */
    @Excel(name = "更新次数")
    private Long count;

    /** 状态 1 正确 */
    @Excel(name = "状态 1 正确")
    private Long state;

    /** 评级 */
    @Excel(name = "评级")
    private String scoreLevel;

    /** 评分 */
    @Excel(name = "评分")
    private Long score;

    /** 得分率 */
    @Excel(name = "得分率")
    private Long scoreRate;

    public void setAnswerId(Long answerId) 
    {
        this.answerId = answerId;
    }

    public Long getAnswerId() 
    {
        return answerId;
    }
    public void setExamineeId(Long examineeId) 
    {
        this.examineeId = examineeId;
    }

    public Long getExamineeId() 
    {
        return examineeId;
    }
    public void setExamineeType(String examineeType) 
    {
        this.examineeType = examineeType;
    }

    public String getExamineeType() 
    {
        return examineeType;
    }
    public void setQuestionId(Long questionId) 
    {
        this.questionId = questionId;
    }

    public Long getQuestionId() 
    {
        return questionId;
    }
    public void setSeq(Long seq) 
    {
        this.seq = seq;
    }

    public Long getSeq() 
    {
        return seq;
    }
    public void setAnswer(String answer) 
    {
        this.answer = answer;
    }

    public String getAnswer() 
    {
        return answer;
    }
    public void setCorrect(String correct) 
    {
        this.correct = correct;
    }

    public String getCorrect() 
    {
        return correct;
    }
    public void setDuration(Long duration) 
    {
        this.duration = duration;
    }

    public Long getDuration() 
    {
        return duration;
    }
    public void setCount(Long count) 
    {
        this.count = count;
    }

    public Long getCount() 
    {
        return count;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setScoreLevel(String scoreLevel) 
    {
        this.scoreLevel = scoreLevel;
    }

    public String getScoreLevel() 
    {
        return scoreLevel;
    }
    public void setScore(Long score) 
    {
        this.score = score;
    }

    public Long getScore() 
    {
        return score;
    }
    public void setScoreRate(Long scoreRate) 
    {
        this.scoreRate = scoreRate;
    }

    public Long getScoreRate() 
    {
        return scoreRate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("answerId", getAnswerId())
            .append("examineeId", getExamineeId())
            .append("examineeType", getExamineeType())
            .append("questionId", getQuestionId())
            .append("seq", getSeq())
            .append("answer", getAnswer())
            .append("correct", getCorrect())
            .append("duration", getDuration())
            .append("count", getCount())
            .append("state", getState())
            .append("scoreLevel", getScoreLevel())
            .append("score", getScore())
            .append("scoreRate", getScoreRate())
            .toString();
    }
}
